For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeveloper ForumLogin
  • Overview
    • Introduction
    • Getting Started
    • Integration Example (PSA)
    • Authentication
    • Error Handling
    • Pagination
    • Filtering
    • Ordering
    • Rate Limits
    • Permissions
    • Webhooks
    • MCP Server
    • Versioning
    • Changelog
    • Support
  • API v1 Reference
    • Projects Overview
    • Tasks Overview
    • Time Tracking Overview
      • GETReturns the last time entry of a specified user.
      • GETReturns all time entries of the specified project.
      • GETReturns all time entries of the specified task.
      • GETReturns all time entries.
      • POSTCreates a new time entry.
      • POSTEdits multiple time entries using the specified operation.
      • POSTDeletes the time entry with the specified ids.
      • POSTSets the time entries with the specified ids to billable.
      • POSTSets the time entries with the specified ids to billed.
      • POSTSets the type of work of the specified timeentries.
      • POSTSets the time entries with the specified ids to unbillable.
      • POSTSets the time entries with the specified ids to unbilled.
      • GETRetrieves all time entries with a simplified model based on the grouping parameter.
      • GETGet a time entry by id.
      • PUTUpdates the time entry with the specified id.
      • DELDeletes the time entry with the specified id.
      • POSTHandles removing all breaks from a time entry, effectively resuming the timer.
      • GETReturns the last time entry of a specified user.
    • Documents Overview
    • Search Overview
    • Companies Overview
    • Users Overview
    • Files & Images Overview
    • Custom Fields Overview
    • Workload & Planning Overview
    • Project Templates Overview
    • Workflows Overview
    • Login & Access Overview
    • API Management Overview
LogoLogo
SupportDeveloper ForumLogin
API v1 ReferenceTime Entries

Returns all time entries.

GET
https://api.awork.com/api/v1/timeentries
GET
/api/v1/timeentries
$curl https://api.awork.com/api/v1/timeentries \
> -H "Authorization: Bearer <token>"
200Retrieved
1[
2 {
3 "timezone": "Europe/Berlin",
4 "typeOfWorkId": "123e4567-e89b-12d3-a456-426614174000",
5 "isBillable": true,
6 "isBilled": false,
7 "taskId": "123e4567-e89b-12d3-a456-426614174000",
8 "projectId": "123e4567-e89b-12d3-a456-426614174000",
9 "note": "I created a first draft for the new sitemap",
10 "startDateUtc": "2022-03-01T00:00:00Z",
11 "startTimeUtc": "09:21:00",
12 "endDateUtc": "2022-03-01T18:21:05Z",
13 "endTimeUtc": "11:45:00",
14 "startDateLocal": "2022-03-01T00:00:00",
15 "startTimeLocal": "10:21:00",
16 "endDateLocal": "2022-03-01T17:21:05",
17 "endTimeLocal": "12:45:00",
18 "duration": 8635,
19 "breakDuration": 1,
20 "userId": "123e4567-e89b-12d3-a456-426614174000",
21 "id": "123e4567-e89b-12d3-a456-426614174000",
22 "createdBy": "123e4567-e89b-12d3-a456-426614174000",
23 "createdOn": "2024-01-15T09:30:00Z",
24 "updatedBy": "123e4567-e89b-12d3-a456-426614174000",
25 "updatedOn": "2024-01-15T09:30:00Z",
26 "typeOfWork": {
27 "id": "123e4567-e89b-12d3-a456-426614174000",
28 "name": "Design",
29 "icon": "thumb_up",
30 "isArchived": false
31 },
32 "user": {
33 "id": "123e4567-e89b-12d3-a456-426614174000",
34 "firstName": "Carla",
35 "lastName": "Creative",
36 "hasImage": true,
37 "isExternal": true
38 },
39 "task": {
40 "id": "123e4567-e89b-12d3-a456-426614174000",
41 "name": "Design",
42 "baseType": "projecttask",
43 "taskIdentifier": "string",
44 "taskStatusId": "123e4567-e89b-12d3-a456-426614174000",
45 "typeOfWorkId": "123e4567-e89b-12d3-a456-426614174000",
46 "project": {
47 "id": "123e4567-e89b-12d3-a456-426614174000",
48 "name": "Design",
49 "projectStatus": {
50 "id": "123e4567-e89b-12d3-a456-426614174000",
51 "name": "Design",
52 "description": "Work in progress",
53 "type": "todo",
54 "isArchived": false
55 },
56 "company": {
57 "id": "123e4567-e89b-12d3-a456-426614174000",
58 "name": "Design",
59 "hasImage": true,
60 "description": "One of our customers"
61 },
62 "projectType": {
63 "id": "123e4567-e89b-12d3-a456-426614174000",
64 "name": "Design",
65 "icon": "thumb_up",
66 "isArchived": false
67 },
68 "projectKey": "string",
69 "isPrivate": false,
70 "hasImage": true,
71 "isExternal": true,
72 "isBillableByDefault": true,
73 "createdBy": "123e4567-e89b-12d3-a456-426614174000"
74 },
75 "projectId": "123e4567-e89b-12d3-a456-426614174000",
76 "plannedDuration": 21600,
77 "closedOn": "2024-01-15T09:30:00Z",
78 "taskStatus": {
79 "id": "123e4567-e89b-12d3-a456-426614174000",
80 "name": "Design",
81 "description": "Work in progress",
82 "type": "todo",
83 "order": 1,
84 "icon": "arrow_forward"
85 },
86 "createdBy": "123e4567-e89b-12d3-a456-426614174000",
87 "correlationId": "123e4567-e89b-12d3-a456-426614174000",
88 "parentId": "123e4567-e89b-12d3-a456-426614174000",
89 "parentTask": {
90 "id": "123e4567-e89b-12d3-a456-426614174000",
91 "name": "Design"
92 }
93 },
94 "project": {
95 "id": "123e4567-e89b-12d3-a456-426614174000",
96 "name": "Design",
97 "projectStatus": {
98 "id": "123e4567-e89b-12d3-a456-426614174000",
99 "name": "Design",
100 "description": "Work in progress",
101 "type": "todo",
102 "isArchived": false
103 },
104 "company": {
105 "id": "123e4567-e89b-12d3-a456-426614174000",
106 "name": "Design",
107 "hasImage": true,
108 "description": "One of our customers"
109 },
110 "projectType": {
111 "id": "123e4567-e89b-12d3-a456-426614174000",
112 "name": "Design",
113 "icon": "thumb_up",
114 "isArchived": false
115 },
116 "projectKey": "string",
117 "isPrivate": false,
118 "hasImage": true,
119 "isExternal": true,
120 "isBillableByDefault": true,
121 "createdBy": "123e4567-e89b-12d3-a456-426614174000"
122 },
123 "breaks": [
124 {
125 "startDate": "2022-01-01T12:00:00Z",
126 "duration": 3600,
127 "endDate": "2022-01-01T13:00:00Z"
128 }
129 ],
130 "resourceVersion": 637825154598057900,
131 "isExternal": true
132 }
133]
Returns all time entries. Depending on the time entry, the calling users has to have several permissions to get the time entry. No permissions are required if the calling user is owner of this time entry (this includes external timetrackings from connected projects). If the calling user is not the creator of the time entry and the time entry is connected to a project, 'write' permissions on the 'project-timetracking' feature are necessary (this does NOT include external timetrackings from connected projects). <Check title="Required Permissions" icon="key">Any authenticated user.</Check>
Was this page helpful?
Previous

Creates a new time entry.

Next
Built with

Returns all time entries. Depending on the time entry, the calling users has to have several permissions to get the time entry. No permissions are required if the calling user is owner of this time entry (this includes external timetrackings from connected projects). If the calling user is not the creator of the time entry and the time entry is connected to a project, ‘write’ permissions on the ‘project-timetracking’ feature are necessary (this does NOT include external timetrackings from connected projects).

Required Permissions
Any authenticated user.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

searchReindexbooleanOptionalDefaults to false
Whether to reindex for search.
pageintegerOptionalDefaults to 1
Page number for pagination
pageSizeintegerOptionalDefaults to 10
Number of items per page
orderbystringOptional
The properties to order by
filterbystringOptional
The filter expression to filter by

Response

OK
timezonestring>=1 character
The original timezone of the time tracking. The format of the timezone is the IANA standard.
typeOfWorkIdstringformat: "uuid"
The id of the type of work.
isBillableboolean
Whether the time tracking is billable or not.
isBilledboolean
Whether the time tracking is billed or not.
taskIdstring or nullformat: "uuid"
The id of the task.
projectIdstring or nullformat: "uuid"
The id of the project.
notestring or null
The note of the time tracking.
startDateUtcstring or nullformat: "date-time"

The date (in UTC) when the time tracking was started.

startTimeUtcstring or null

The time (in UTC) when the time tracking was started.

endDateUtcstring or nullformat: "date-time"

The date (in UTC) when the time tracking was stopped.

endTimeUtcstring or null

The time (in UTC) when the time tracking was stopped. Required when the time tracking has already been completed and Duration has not been set.

startDateLocalstring or nullformat: "date-time"

The date (in Local) when the time tracking was started.

startTimeLocalstring or null

The time (in Local) when the time tracking was started.

endDateLocalstring or nullformat: "date-time"

The date (in Local) when the time tracking was stopped.

endTimeLocalstring or null

The time (in Local) when the time tracking was stopped. Required when the time tracking has already been completed and Duration has not been set.

durationinteger or null
The duration of the time tracking in seconds. Required when the time tracking has already been completed and EndTime has not been set.
breakDurationinteger or null
The duration of the break in seconds. Cannot be set via API.
userIdstring or nullformat: "uuid"
The id of the user. Can be null if the user was deleted.
idstringformat: "uuid"
The id of the time tracking.
createdBystringformat: "uuid"
The id of the user who created this time tracking.
createdOnstringformat: "date-time"
The date this time tracking was created.
updatedBystringformat: "uuid"
The id of the user who last updated this time tracking.
updatedOnstringformat: "date-time"
The date this time tracking was last modified.
typeOfWorkobject
userobject
taskobject
projectobject
breakslist of objects or null
The breaks of the time tracking.
resourceVersionlongRead-only
The version of the entity, updated on every modification, to the ticks in UTC. Not identical to UpdatedOn.
isExternalboolean

True if this entity is coming from an external workspace (awork Connect).